curl --request GET \
--url https://api.example.com/deployments/{id}/work_queue_checkimport requests
url = "https://api.example.com/deployments/{id}/work_queue_check"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/deployments/{id}/work_queue_check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "",
"is_paused": false,
"concurrency_limit": 1,
"priority": 1,
"work_pool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filter": {
"tags": [
"<string>"
],
"deployment_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"last_polled": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Work Queue Check For Deployment
Get list of work-queues that are able to pick up the specified deployment.
This endpoint is intended to be used by the UI to provide users warnings about deployments that are unable to be executed because there are no work queues that will pick up their runs, based on existing filter criteria. It may be deprecated in the future because there is not a strict relationship between work queues and deployments.
Headers
Path Parameters
The deployment id
Response
Successful Response
The name of the work queue.
^[^/%&><]+$An optional description for the work queue.
Whether or not the work queue is paused.
An optional concurrency limit for the work queue.
x >= 0The queue's priority. Lower values are higher priority (1 is the highest).
The work pool with which the queue is associated.
DEPRECATED: Filter criteria for the work queue.
Show child attributes
Show child attributes
The last time an agent polled this queue for work.
Was this page helpful?